<?php
/**
 * Autoloader for drupal9 and its' dependencies
 * (created by drupal9-9.1.3-1.fc34).
 *
 * NOTE: This is an RPM-managed autoload file and is not the default
 * Drupal-provided one.  The original Drupal-provided autoload file
 * has been moved to autoload.php.dist.
 *
 * @see index.php
 * @see core/install.php
 * @see core/rebuild.php
 * @see core/modules/statistics/statistics.php
 *
 * @return \Composer\Autoload\ClassLoader
 */

$drupal9ComposerAutoloadClassLoader = require __DIR__.'/core/vendor/autoload.php';

// Required dependencies
require_once '/usr/share/pear/Archive/Tar/autoload.php';
require_once '/usr/share/php/Asm89/Stack/autoload-cors.php';
require_once '/usr/share/php/Composer/Semver/autoload.php';
require_once '/usr/share/php/Doctrine/Common/Annotations/autoload.php';
require_once '/usr/share/php/Doctrine/Common/autoload.php';
require_once '/usr/share/php/EasyRdf/autoload.php';
require_once '/usr/share/php/Egulias/EmailValidator2/autoload.php';
require_once '/usr/share/php/GuzzleHttp6/autoload.php';
require_once '/usr/share/php/Laminas/Diactoros/autoload.php';
require_once '/usr/share/php/Laminas/Feed/autoload.php';
require_once '/usr/share/php/Masterminds/HTML5/autoload.php';
require_once '/usr/share/php/Psr/Log/autoload.php';
require_once '/usr/share/php/Stack/autoload-builder.php';
require_once '/usr/share/php/Symfony/Bridge/PsrHttpMessage/autoload.php';
require_once '/usr/share/php/Symfony/Cmf/Component/Routing/autoload.php';
require_once '/usr/share/php/Symfony3/Component/ClassLoader/autoload.php';
require_once '/usr/share/php/Symfony3/Component/Console/autoload.php';
require_once '/usr/share/php/Symfony3/Component/DependencyInjection/autoload.php';
require_once '/usr/share/php/Symfony3/Component/EventDispatcher/autoload.php';
require_once '/usr/share/php/Symfony3/Component/HttpFoundation/autoload.php';
require_once '/usr/share/php/Symfony3/Component/HttpKernel/autoload.php';
require_once '/usr/share/php/Symfony3/Component/Process/autoload.php';
require_once '/usr/share/php/Symfony3/Component/Routing/autoload.php';
require_once '/usr/share/php/Symfony3/Component/Serializer/autoload.php';
require_once '/usr/share/php/Symfony3/Component/Translation/autoload.php';
require_once '/usr/share/php/Symfony3/Component/Validator/autoload.php';
require_once '/usr/share/php/Symfony3/Component/Yaml/autoload.php';
require_once '/usr/share/php/Twig/autoload.php';
require_once '/usr/share/php/TYPO3/PharStreamWrapper/autoload.php';

// Modules', profiles', and themes' autoloaders
foreach(['modules', 'profiles', 'themes'] as $projectType) {
    if ($projectTypeAutoloadFiles = glob("$projectType/*/autoload.php")) {
        foreach ($projectTypeAutoloadFiles as $projectTypeAutoloader) {
            require_once $projectTypeAutoloader;
        }
    }
}

return $drupal9ComposerAutoloadClassLoader;
